--  Copyright (2008-2013) Cédric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

package body Nomo.Internal_Messages.Conclusions is

   function Get_Information (This : in Internal_Conclusion) return Positive_Integer is
   begin
      return This.Information;
   end Get_Information;

   procedure Set_Credibility (This        : out Internal_Conclusion;
                              Credibility : in Real_0_To_1) is
   begin
      This.Credibility := Credibility;
   end Set_Credibility;

end Nomo.Internal_Messages.Conclusions;
